edu.claflin.finder

## Class GimmeClass

- java.lang.Object
- - edu.claflin.finder.GimmeClass

- All Implemented Interfaces:
    GimmeListsListener

      public class GimmeClass
      extends java.lang.Object
      implements GimmeListsListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static GimmeClass` | `gimme`
    `static Graph` | `graph`
    `static java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>>` | `groups`
    `static java.util.ArrayList<java.util.ArrayList<java.util.Set<Node>>>` | `lists`
    `static java.util.ArrayList<Graph>` | `uniqueSubgraphs`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `GimmeClass()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GimmeClass` | `getSingleton()`
    `java.util.ArrayList<java.util.ArrayList<java.util.Set<Node>>>` | `gimme(java.util.Set<Node> groupA, java.util.Set<Node> groupB)`
    `void` | `gimmeGraph(Graph graph)`
    `void` | `gimmeGroups(java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>> results)`
    `java.util.ArrayList<Graph>` | `gimmeUniqueSubGraphs(java.util.ArrayList<Graph> subgraphs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lists

          public static java.util.ArrayList<java.util.ArrayList<java.util.Set<Node>>> lists

    - #### gimme

          private static GimmeClass gimme

    - #### groups

          public static java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>> groups

    - #### uniqueSubgraphs

          public static java.util.ArrayList<Graph> uniqueSubgraphs

    - #### graph

          public static Graph graph

  - ### Constructor Detail

    - #### GimmeClass

          private GimmeClass()

  - ### Method Detail

    - #### getSingleton

          public static GimmeClass getSingleton()

    - #### gimme

          public java.util.ArrayList<java.util.ArrayList<java.util.Set<Node>>> gimme(java.util.Set<Node> groupA,
                                                                                     java.util.Set<Node> groupB)

      Specified by:
        `gimme` in interface `GimmeListsListener`

    - #### gimmeGraph

          public void gimmeGraph(Graph graph)

      Specified by:
        `gimmeGraph` in interface `GimmeListsListener`

    - #### gimmeGroups

          public void gimmeGroups(java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>> results)

      Specified by:
        `gimmeGroups` in interface `GimmeListsListener`

    - #### gimmeUniqueSubGraphs

          public java.util.ArrayList<Graph> gimmeUniqueSubGraphs(java.util.ArrayList<Graph> subgraphs)

      Specified by:
        `gimmeUniqueSubGraphs` in interface `GimmeListsListener`